ligo-scald: SCalable Analytics for LIGO Data
==========================================================================

#### Why? 'cause it's :fire:

ligo-scald is a gravitational-wave monitoring and dynamic data visualization tool

----

This package provides a command line interface for:

* serve: serving data and dynamic html pages
* deploy: deploys a web application on the LDG
* mock: starts up a mock database that generates data based on HTTP requests

## Usage:

Serve data locally:

```
scald serve -c /path/to/config.yml
```

Mock a database to serve HTTP requests and return fake data:

```
scald mock
```

A full list of options can be viewed with:

```
scald --help
```

## Installation:

First, install all the required dependencies listed below. Note that lal needs to be installed from
source, unless you're using conda (with `conda install -c conda-forge python-lal`).

1. If you're installing this from source:

```
python setup.py install --prefix=path/to/install/dir
```

Make sure to update your PYTHONPATH to point to the install directory.

2. conda/pip:

Go to the top-level directory of datamon, then run:

```
pip install .
```

## Quick Start

In two separate terminals execute first

```
scald mock
```

Then

```
scald serve -c /path/to/example_config.yml
```

With the above two processes running, you should be able to navigate to the following address in your web browser localhost:8080

## Dependencies:

Required:

  * h5py
  * lal
  * numpy
  * pyyaml
  * scipy
  * dateutil
  * bottle
